---
sourceDocument: Xanadu API Reference
sourceDocumentLink: https://servicenow-prod.fluidtopics.net/r/xanadu/api-reference

 Release :

    - xanadu

ft:locale :

    - en-US

ft:publication_title :

    - Xanadu API Reference

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# FetchConfiguration class - Android

# FetchConfiguration class - Android {#ariaid-title1}

* Release version: Xanadu
* 
* Updated August 1, 2024
* 
* ![](https://www.servicenow.com/docs/portal-asset/ico-clock) 1 minute to read

The FetchConfiguration class provides the ability to define the
configuration for fetching records from the associatedServiceNow
table.

This class only contains a single function (constructor), [FetchConfiguration()](https://servicenow-prod.fluidtopics.net/4W~ny7No0gvVhGjkEIAkVQ#FetConfig-FetchConfiguration_O_N_O "Enables you to define the records and fields to return from the associated ServiceNow table.").
{#FetchConfigAndroidAPI__table_vx2_klw_5pb__entry__3}

| Name | Type | Description |
|-|-|-|
| filter | [Filter](https://servicenow-prod.fluidtopics.net/yj8Ot2Apgz6EOHiydE~qEw#FilterAndroidAPI "The Filter class provides the ability to configure filters that define the data to return in the return results of a REST endpoint query.") | Query to use to filter the return results. |
| limit | Integer | Number of records per page/response to return. |
| queryParams | QueryParams | Iterable structure that contains name-value pairs of request query parameters. |
| readConfiguration | [FieldReadConfiguration](https://servicenow-prod.fluidtopics.net/ZwKYHR7SHJtt39lWEGvc8Q#FieldReadConfigAndroidAPI "The FieldReadConfiguration class provides the ability to define what fields to return or not return in a response record.") | Configuration for the fields to return in the response. |
[Table 1. Properties]

{#FetchConfigAndroidAPI__table_vx2_klw_5pb}

## FetchConfiguration - FetchConfiguration(filter: Filter? = null, limit: Int? = null,
readConfiguration: FieldReadConfiguration? = null) {#ariaid-title2}

Enables you to define the records and fields to return from the associated ServiceNow table.
{#FetConfig-FetchConfiguration_O_N_O__table_bjv_mls_4pb__entry__3}

| Name | Type | Description |
|-|-|-|
| filter | [Filter](https://servicenow-prod.fluidtopics.net/yj8Ot2Apgz6EOHiydE~qEw#FilterAndroidAPI "The Filter class provides the ability to configure filters that define the data to return in the return results of a REST endpoint query.") | Optional. Query to use to filter the records that are returned from the table. For example: `active=true^short_descriptionLIKEbroken` Default: null - Return all records. |
| limit | Integer | Optional. Number of records to return per page/response. Default: null - Return the maximum allowed by the ServiceNow REST API. |
| readConfiguration | [FieldReadConfiguration](https://servicenow-prod.fluidtopics.net/ZwKYHR7SHJtt39lWEGvc8Q#FieldReadConfigAndroidAPI "The FieldReadConfiguration class provides the ability to define what fields to return or not return in a response record.") | Optional. Configuration of the fields returned in the response. Default: null - Return all fields. |
[Table 2. Parameters]

{#FetConfig-FetchConfiguration_O_N_O__table_bjv_mls_4pb}  
The following code example shows how to call this function.

    nowTableService.records("incident", FetchConfiguration( 
      filter = Filter("active=true"), 
      limit = 10, 
      readConfiguration = FieldReadConfiguration( 
        includeFields = listOf("sys_id", "short_description") 
      ) 
    ))


